aboutsummaryrefslogtreecommitdiff
path: root/dmenu_path
diff options
context:
space:
mode:
authorConnor Lane Smith <cls@lubutu.com>2011-05-14 20:43:11 +0100
committerConnor Lane Smith <cls@lubutu.com>2011-05-14 20:43:11 +0100
commit15505bd711d77fbd88dbdcbc464c78d863e03250 (patch)
tree41e1d4feb5d75cc7caa750a7c5e498295e1f2344 /dmenu_path
parent86468aafe52a94ce6ba1a3601a587c65724a61aa (diff)
downloaddmenu-15505bd711d77fbd88dbdcbc464c78d863e03250.tar.gz
dmenu-15505bd711d77fbd88dbdcbc464c78d863e03250.tar.bz2
dmenu-15505bd711d77fbd88dbdcbc464c78d863e03250.zip
fast dmenu_path script
Diffstat (limited to 'dmenu_path')
-rwxr-xr-xdmenu_path9
1 files changed, 9 insertions, 0 deletions
diff --git a/dmenu_path b/dmenu_path
new file mode 100755
index 0000000..f3a4701
--- /dev/null
+++ b/dmenu_path
@@ -0,0 +1,9 @@
+#!/bin/sh
+CACHE=$HOME/.dmenu_cache
+IFS=:
+
+if ! test -f "$CACHE" || find $PATH -type d -newer "$CACHE" | grep -q .; then
+ find $PATH -type f \( -perm -1 -o -perm -10 -o -perm -100 \) | sort -u > "$CACHE"
+fi
+
+cat "$CACHE"